Package org.codehaus.plexus.util

# Class PropertyUtils

java.lang.Object
org.codehaus.plexus.util.PropertyUtils

public class PropertyUtils extends Object
Static methods to create Properties loaded from various sources.

Author:
  Jason van Zyl, Michal Maczka

## Constructor Summary

Constructors
Constructor
Description
`PropertyUtils()`

## Method Summary

Modifier and Type
Method
Description
`static Properties`
`loadProperties(File file)`
`static Properties`
`loadProperties(InputStream is)`
`static Properties`
`loadProperties(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyUtils

public PropertyUtils()

## Method Details

### loadProperties

public static Properties loadProperties(URL url)

### loadProperties

public static Properties loadProperties(File file)

### loadProperties

public static Properties loadProperties(InputStream is)